Class SearchPlaylistsRequest.Builder
java.lang.Object
se.michaelthelin.spotify.requests.AbstractRequest.Builder<Paging<PlaylistSimplified>, SearchPlaylistsRequest.Builder>
se.michaelthelin.spotify.requests.data.AbstractDataRequest.Builder<Paging<PlaylistSimplified>, SearchPlaylistsRequest.Builder>
se.michaelthelin.spotify.requests.data.AbstractDataPagingRequest.Builder<PlaylistSimplified, SearchPlaylistsRequest.Builder>
se.michaelthelin.spotify.requests.data.search.simplified.SearchPlaylistsRequest.Builder
- All Implemented Interfaces:
IPagingRequestBuilder<PlaylistSimplified, SearchPlaylistsRequest.Builder>, IRequest.Builder<Paging<PlaylistSimplified>, SearchPlaylistsRequest.Builder>
- Enclosing class:
SearchPlaylistsRequest
public static final class SearchPlaylistsRequest.Builder
extends AbstractDataPagingRequest.Builder<PlaylistSimplified, SearchPlaylistsRequest.Builder>
Builder class for building a
SearchPlaylistsRequest.-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionbuild()The request build method.includeExternal(String includeExternal) The include external setter.The limit setter.market(CountryCode market) The market country code setter.The offset setter.The search query setter.protected SearchPlaylistsRequest.Builderself()Return this instance to simulate a self-type.Methods inherited from class AbstractRequest.Builder
setBody, setBodyParameter, setContentType, setDefaults, setHeader, setHost, setHttpManager, setPath, setPathParameter, setPort, setQueryParameter, setSchemeModifier and TypeMethodDescriptionsetBody(org.apache.hc.core5.http.HttpEntity httpEntity) Set the body for the request.setBodyParameter(String name, X value) Set a body parameter for the request.setContentType(org.apache.hc.core5.http.ContentType contentType) Set the content type for the request.setDefaults(IHttpManager httpManager, String scheme, String host, Integer port) Set default values for the request.Set a header for the request.Set the host for the request.setHttpManager(IHttpManager httpManager) Set the HTTP manager for the request.Set the path for the request.setPathParameter(String name, String value) Set a path parameter for the request.Set the port for the request.setQueryParameter(String name, X value) Set a query parameter for the request.Set the scheme for the request.
-
Constructor Details
-
Builder
Create a newSearchPlaylistsRequest.Builder.- Parameters:
accessToken- Required. A valid access token from the Spotify Accounts service.
-
-
Method Details
-
q
The search query setter.- Parameters:
q- Required. The search query's keywords (and optional field filters and operators).- Returns:
- A
SearchPlaylistsRequest.Builder. - See Also:
-
market
The market country code setter.- Parameters:
market- Optional. An ISO 3166-1 alpha-2 country code. If a country code is given, only artists, albums, and tracks with content playable in that market will be returned. (Playlist results are not affected by the market parameter.)- Returns:
- A
SearchPlaylistsRequest.Builder. - See Also:
-
limit
The limit setter.- Parameters:
limit- Optional. The maximum number of results to return. Default: 20. Minimum: 1. Maximum: 50.- Returns:
- A
SearchPlaylistsRequest.Builder.
-
offset
The offset setter.- Parameters:
offset- Optional. The index of the first result to return. Default: 0 (i.e., the first result). Maximum offset: 100.000. Use withlimit(Integer)to get the next page of search results.- Returns:
- A
SearchPlaylistsRequest.Builder.
-
includeExternal
The include external setter.- Parameters:
includeExternal- Optional. Possible values:audio. Ifaudiois set the response will include any relevant audio content that is hosted externally. By default external content is filtered out from responses.- Returns:
- A
SearchPlaylistsRequest.Builder.
-
build
The request build method.- Returns:
- A
SearchPlaylistsRequest.Builder.
-
self
Description copied from class:AbstractRequest.BuilderReturn this instance to simulate a self-type.- Specified by:
selfin classAbstractRequest.Builder<Paging<PlaylistSimplified>, SearchPlaylistsRequest.Builder>- Returns:
- This instance.
-